summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-05-03 08:41:34 +0200
committerRemi Collet <remi@remirepo.net>2021-05-03 08:41:34 +0200
commit89a49069384e1d4521734bcea08ee4cf89fd27bb (patch)
tree505a8e7c7cf1857fb72cce236d32d65efeb5db0e
parent62cf0650130db011027ac9b4f4734db9a2737d25 (diff)
update to 1.1.0HEADmaster
raise dependency on PHP 7.3 raise dependency on laminas-code 3.5 raise dependency on laminas-form 2.16 raise dependency on laminas-i18n 2.11 raise dependency on laminas-zendframework-bridge 1.2
-rw-r--r--composer.json19
-rw-r--r--php-laminas-mvc-form.spec46
2 files changed, 36 insertions, 29 deletions
diff --git a/composer.json b/composer.json
index 69334b7..b564131 100644
--- a/composer.json
+++ b/composer.json
@@ -10,7 +10,6 @@
],
"homepage": "https://laminas.dev",
"support": {
- "docs": "https://docs.laminas.dev/laminas-mvc-form/",
"issues": "https://github.com/laminas/laminas-mvc-form/issues",
"source": "https://github.com/laminas/laminas-mvc-form",
"rss": "https://github.com/laminas/laminas-mvc-form/releases.atom",
@@ -21,21 +20,21 @@
"sort-packages": true
},
"extra": {
- "branch-alias": {
- "dev-master": "1.0-dev"
- },
"laminas": {
"component": "Laminas\\Form"
}
},
"require": {
- "php": "^5.6 || ^7.0",
- "laminas/laminas-code": "^2.6.3 || ^3.0.2",
- "laminas/laminas-form": "^2.8.4",
- "laminas/laminas-i18n": "^2.7.2",
- "laminas/laminas-zendframework-bridge": "^1.0"
+ "php": "^7.3 || ~8.0.0",
+ "laminas/laminas-code": "^3.5.0",
+ "laminas/laminas-form": "^2.16.3",
+ "laminas/laminas-i18n": "^2.11.1",
+ "laminas/laminas-zendframework-bridge": "^1.2.0"
+ },
+ "conflict": {
+ "laminas/laminas-code": "<3.5.0 || >=4.0.0"
},
"replace": {
- "zendframework/zend-mvc-form": "self.version"
+ "zendframework/zend-mvc-form": "^1.0.0"
}
}
diff --git a/php-laminas-mvc-form.spec b/php-laminas-mvc-form.spec
index b8a0009..b534ab9 100644
--- a/php-laminas-mvc-form.spec
+++ b/php-laminas-mvc-form.spec
@@ -1,12 +1,12 @@
# remirepo/Fedora spec file for php-laminas-mvc-form
#
-# Copyright (c) 2016-2020 Remi Collet
+# Copyright (c) 2016-2021 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
-%global gh_commit 42254dd6d6d221f0825e79b1811bc734027908ed
+%global gh_commit c027f5becb817736096d0967c5e42cd7f746d5e4
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-mvc-form
@@ -17,7 +17,7 @@
%global subproj Form
Name: php-%{gh_project}
-Version: 1.0.0
+Version: 1.1.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library}/%{subproj} component
@@ -30,10 +30,10 @@ BuildArch: noarch
BuildRequires: php-cli
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-code) >= 3.0.2 with php-autoloader(%{gh_owner}/laminas-code) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-form) >= 2.8.4 with php-autoloader(%{gh_owner}/laminas-form) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.7.2 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-code) >= 3.5 with php-autoloader(%{gh_owner}/laminas-code) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-form) >= 2.16 with php-autoloader(%{gh_owner}/laminas-form) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.11 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.2 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# remirepo:6
%else
BuildRequires: php-laminas-code
@@ -43,18 +43,18 @@ BuildRequires: php-laminas-zendframework-bridge
%endif
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
-# "laminas/laminas-code": "^2.6.3 || ^3.0.2",
-# "laminas/laminas-form": "^2.8.4",
-# "laminas/laminas-i18n": "^2.7.2",
-# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+# "php": "^7.3 || ~8.0.0",
+# "laminas/laminas-code": "^3.5.0",
+# "laminas/laminas-form": "^2.16.3",
+# "laminas/laminas-i18n": "^2.11.1",
+# "laminas/laminas-zendframework-bridge": "^1.2.0"
+Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/laminas-code) >= 3.0.2 with php-autoloader(%{gh_owner}/laminas-code) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-form) >= 2.8.4 with php-autoloader(%{gh_owner}/laminas-form) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.7.2 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
-Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+Requires: (php-autoloader(%{gh_owner}/laminas-code) >= 3.5 with php-autoloader(%{gh_owner}/laminas-code) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-form) >= 2.16 with php-autoloader(%{gh_owner}/laminas-form) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-i18n) >= 2.11 with php-autoloader(%{gh_owner}/laminas-i18n) < 3)
+Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.2 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# remirepo:6
%else
Requires: php-laminas-code
@@ -66,8 +66,8 @@ Requires: php-laminas-zendframework-bridge
Requires: php-composer(fedora/autoloader)
# Compatibily ensure by the bridge
-Obsoletes: php-zendframework-%{zf_name} < 1.0.0-99
-Provides: php-zendframework-%{zf_name} = %{version}-99
+Obsoletes: php-zendframework-%{zf_name} < 1.0.1
+Provides: php-zendframework-%{zf_name} = %{version}
Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
@@ -154,6 +154,14 @@ exit (class_exists("\\Zend\\Form\\Factory") ? 0 : 1);
%changelog
+* Mon May 3 2021 Remi Collet <remi@remirepo.net> - 1.1.0-1
+- update to 1.1.0
+- raise dependency on PHP 7.3
+- raise dependency on laminas-code 3.5
+- raise dependency on laminas-form 2.16
+- raise dependency on laminas-i18n 2.11
+- raise dependency on laminas-zendframework-bridge 1.2
+
* Wed Jan 15 2020 Remi Collet <remi@remirepo.net> - 1.0.0-1
- switch to Laminas
- use range dependencies